/locations

This endpoint is used to retrieve a list of locations. Support for Location-based camera grouping is only available in the professional and enterprise editions. It is important to note that after using the pageSize parameter, the "totalSize" in the response represents the total number of available locations, not the number of locations resulting from the query string.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
include
array of strings

List of properties that should be included in the response

include
sort
array of strings
Defaults to +name

Comma separated list of of fields that should be sorted.

  • sort= - not providing any value will result in error 400
  • sort=+name,+name - same values will result in error 400
  • sort=-name,+name - mutially exclusive values will return error 400
  • maxItem=8 - Only eight values will be accepted, more will return error 400
  • qRelevance is optional ordering parameter which is available if q filter is used, if q filter is not passed qRelevance as ordering parameter will return error 400
sort
string

Token string value that references a page for pagination. This value is received when retrieving the first page in the nextPageToken and prevPageToken fields. When a pageToken is provided, the backend remembers search parameters from the original request, so search parameters that affect the result set or order are optional and will be ignored if provided. Representation parameters like include should still be applied.

integer
1 to 500
Defaults to 100

The number of entries to return per page. The maximum range of valid page sizes is documented with minimum and maximum values, but the range might be further limited dynamically based on the requested information, account, and system status. Values outside of the (dynamic) allowed range will not result in an error, but will be clamped to the nearest limit. Thus, logic to detect the last page should not be based on comparing the requested size with the received size, but on the existence of a nextPageToken value.

id__in
array of strings

Filter to get the locations whose id is on the provided list. The lookup is exact and case insensitive.

id__in
string

Filter to get the locations with the specified parentId. parentId=null returns only the locations which do not have a parent location

string

Filter to get the locations with the parentId that is not equal to the provided value. The lookup is exact and case insensitive

parentId__in
array

Filter to get the locations whose parentId is on the provided list. The lookup is exact and case insensitive

parentId__in
string

Filter to get the locations with the specified name. The lookup is exact and case insensitive

string

Filter to get the locations with the name that is not equal to the provided value. The lookup is exact and case insensitive

name__in
array of strings

Filter to get the locations whose name is on the provided list. The lookup is exact and case insensitive

name__in
string

Filter to get the locations whose the name contains the provided substring. The lookup is exact and case insensitive

string

Filter to get the locations with the specified address.streetAddress. The lookup is exact and case insensitive

string

Filter to get the locations with an address.streetAddress that is not equal to the provided value. The lookup is exact and case insensitive

address.streetAddress__in
array of strings

Filter to get the locations whose address.streetAddress is on the provided list. The lookup is exact and case insensitive

address.streetAddress__in
string

Filter to get the locations whose the address.streetAddress contains the provided substring. The lookup is exact and case insensitive

string

Filter to get the locations with the specified address.streetAddress2. The lookup is exact and case insensitive

string

Filter to get the locations with an address.streetAddress2 that is not equal to the provided value. The lookup is exact and case insensitive

address.streetAddress2__in
array of strings

Filter to get the locations whose address.streetAddress2 is on the provided list. The lookup is exact and case insensitive

address.streetAddress2__in
string

Filter to get the locations whose the address.streetAddress2 contains the provided substring. The lookup is exact and case insensitive

string

Filter to get the locations with the specified address.city. The lookup is exact and case insensitive

string

Filter to get the locations with an address.city that is not equal to the provided value. The lookup is exact and case insensitive

address.city__in
array of strings

Filter to get the locations whose address.city is on the provided list. The lookup is exact and case insensitive

address.city__in
string

Filter to get the locations whose the address.city contains the provided substring. The lookup is exact and case insensitive

string

Filter to get the locations with the specified address.region. The lookup is exact and case insensitive

string

Filter to get the locations with an address.region that is not equal to the provided value. The lookup is exact and case insensitive

address.region__in
array of strings

Filter to get the locations whose address.region is on the provided list. The lookup is exact and case insensitive

address.region__in
string

Filter to get the locations whose the address.region contains the provided substring. The lookup is exact and case insensitive

string

Filter to get the locations with the specified address.country. The lookup is exact and case insensitive

string

Filter to get the locations with an address.country that is not equal to the provided value. The lookup is exact and case insensitive

address.country__in
array of strings

Filter to get the locations whose address.country is on the provided list. The lookup is exact and case insensitive

address.country__in
string

Filter to get the locations whose the address.country contains the provided substring. The lookup is exact and case insensitive

string

Filter to get the locations with the specified address.postalCode. The lookup is exact and case insensitive

string

Filter to get the locations with an address.postalCode that is not equal to the provided value. The lookup is exact and case insensitive

address.postalCode__in
array of strings

Filter to get the locations whose address.postalCode is on the provided list. The lookup is exact and case insensitive

address.postalCode__in
string

Filter to get the locations whose the address.postalCode contains the provided substring. The lookup is exact and case insensitive

integer

Filter to get the locations with the specified number of direct children

integer

Filter to get the locations with the number of direct children not equal to the provided value.

string

Text search that is applied to multiple fields. The fields being searched are defined by the backend and can be changed without warning. Example fields being searched: name, id, notes.

float
0 to 1

Sets the current minimum similarity threshold that is used with the q parameter. The threshold must be between 0 and 1 (float, default is 0.5).

Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json